<html>
<head>
<title>About Braille - How it is defined</title>
</head>
<body>
<h1>About Braille</h1>
<p><i>by Hans Schou</i></p>

<p>
In the following a raised dot is marked with a 'Q'
and a lowered dot is marked with an 'a'.
In this way it should be easier for braille users
to feel the dots in the tables when seeing this
page with lynx.
</p>

<?php

list(,,,$dotsize) = getimagesize("a1.png");

function braille( $pat, $mode = 0, $caption = "") {
	global $dotsize;
	$order = array("1","4","2","5","3","6","7","8");
	echo "<table border=1 cellspacing=0 cellpadding=3>\n";
	if ($caption)
		echo "<caption>$caption</caption>\n";
	if ($mode & 2)
		$max = 6;
	else
		$max = 8;
	$n = 0;
	while ($n<$max) {
		if (!($n % 2)) echo "<tr>\n";
		echo " <td>";
		if ($mode & 1)
			echo $order[$n]." ";
		if (strstr($pat,$order[$n])) {
			$src = "a1.png";
			$alt = "Q";
		} else {
			$src = "a0.png";
			$alt = "a";
		}
		echo "<img src=\"$src\" alt=\"$alt\" $dotsize>";
		echo "</td>\n";
		if (!(($n+1) % 2)) echo "</tr>\n";
		$n++;
	}
	echo "</table>\n";
}

braille("",3);
?>
<p>
Louis Braille invented the braille pattern with inspiration from an army system.
The system he worked out which was usefull, was made up of six dots as shown above.
Often it is necessary to tell another person which dot is raised and which is blank.
For that purpose all dots has numbers as described above.
With 6 dots you can make 2^6 = 64 different patterns.
</p>

<?php braille("",1); ?>

<p>
After introduction of computers and the need of having more characters,
two extra dots was added below the others.
Above you can see the strange way the dots are numbered.
With 8 dots you can make 2^8 = 256 different patterns.
</p>

<p>
In the following, dot-8 will only be used when necessary.
A dot-6 illustrates something about the top most
6 dots.
</p>

<table border=0>
<tr>
<td><?php braille("1",2,"a"); ?></td>
<td><?php braille("12",2,"b"); ?></td>
<td><?php braille("14",2,"c"); ?></td>
</tr></table>

<p>
The first letters of the alphabet is very simple and easy to recognize.
Above here you see the letters a, b end c.
</p>

<table border=0>
<tr valign=bottom>
<td><?php braille("3",2,"CAPS"); ?></td>
<td><?php braille("1",2,"A"); ?></td>
</tr></table>

<p>
In the beginning there was only lower case letters.
To have a capital letter, a pattern as shown above was added before the letter.
</p>

<table border=0>
<tr valign=bottom>
<td><?php braille("3456",2,"#"); ?></td>
<td><?php braille("1",2,"1"); ?></td>
</tr></table>

<p>
Numbers was written in a similar way as capital by adding a special number sign
before the letter as shown above.
</p>

<table border=0>
<tr>
<td bgcolor="#D0FFFF"><?php braille("1",2,"a"); ?></td>
<td><?php braille("12",2,"b"); ?></td>
<td><?php braille("14",2,"c"); ?></td>
<td><?php braille("145",2,"d"); ?></td>
<td><?php braille("15",2,"e"); ?></td>
<td><?php braille("124",2,"f"); ?></td>
<td><?php braille("1245",2,"g"); ?></td>
<td><?php braille("125",2,"h"); ?></td>
<td><?php braille("24",2,"i"); ?></td>
<td><?php braille("245",2,"j"); ?></td>
</tr><tr>
<td bgcolor="#D0FFFF"><?php braille("13",2,"k"); ?></td>
<td><?php braille("123",2,"l"); ?></td>
<td bgcolor="#C0FFC0"><?php braille("143",2,"m"); ?></td>
<td bgcolor="#FFFF90"><?php braille("1453",2,"n"); ?></td>
<td bgcolor="#F0F0FF"><?php braille("153",2,"o"); ?></td>
<td><?php braille("1243",2,"p"); ?></td>
<td><?php braille("12453",2,"q"); ?></td>
<td><?php braille("1253",2,"r"); ?></td>
<td><?php braille("243",2,"s"); ?></td>
<td><?php braille("2453",2,"t"); ?></td>
</tr><tr>
<td bgcolor="#D0FFFF"><?php braille("136",2,"u"); ?></td>
<td><?php braille("1236",2,"v"); ?></td>
<td bgcolor="#FFE0E0"><?php braille("2456",2,"w"); ?></td>
<td bgcolor="#C0FFC0"><?php braille("1346",2,"x"); ?></td>
<td bgcolor="#FFFF90"><?php braille("13456",2,"y"); ?></td>
<td bgcolor="#F0F0FF"><?php braille("1356",2,"z"); ?></td>
</tr></table>

<p>
In the patterns above there is 10 patterns in each row.
If you look at 'a' and 'k' you can see that the only
difference is that dot-3 is raised in the 'k'.
The system is that the 10 following letters is the same
as the first 10, except that they have dot-3 raised.
</p>

<p>
This system should have continued for the last row with
'u' to 'z', but when the braille pattern were defined,
the alphabet did not have 'w'.
If you compare 'x' with 'm', 'y' with 'n' and 'z' with 'o'
you can see the system still works.
</p>

<p>
The table with all 26 letters as shown above is used
by all countries in the world which uses the latin alphabet.
</p>

<table border=0>
<tr>
<td><?php braille("1",2,"a"); ?></td>
<td><?php braille("12",2,"b"); ?></td>
<td><?php braille("14",2,"c"); ?></td>
</tr><tr>
<td><?php braille("2",2,"1"); ?></td>
<td><?php braille("23",2,"2"); ?></td>
<td><?php braille("25",2,"3"); ?></td>
</tr></table>

<p>
As the first 10 letters only uses the 4 top-most dots,
numbers is in some countries defined as shown above.
Here is the pattern equal to 'abc' except that they
are moved down one row.
</p>

<table border=0>
<tr>
<td><?php braille("17",0,"A"); ?></td>
<td><?php braille("127",0,"B"); ?></td>
<td><?php braille("147",0,"C"); ?></td>
</tr></table>

<p>
After blind people started using a computer it was easier to
add some extra dots at the bottom, and then define some
new patterns for capital letters. In that way a capital letter
has just raised dot-7.
</p>

<table border=0>
<tr>
<td><?php braille("18",0,"1"); ?></td>
<td><?php braille("128",0,"2"); ?></td>
<td><?php braille("148",0,"3"); ?></td>
</tr></table>

<p>
Some countries decided to raise dot-8 for numbers
as shown above.
</p>

<table border=0>
<tr>
<td><?php braille("178",0,"^A"); ?></td>
<td><?php braille("1278",0,"^B"); ?></td>
<td><?php braille("1478",0,"^C"); ?></td>
</tr></table>

<p>
When using a computer there is some special keys
to use when giving the computer commands.
It could be control-C to terminate a program.
To make it easier to remember which pattern to
use for control keys, some countries raised dot 7 and 8
to the normal letters as shown above.
</p>


<table border=0>
<tr>
<td><?php braille("1",0,"a"); ?></td>
<td><?php braille("17",0,"A"); ?></td>
<td><?php braille("178",0,"^A"); ?></td>
<td><?php braille("18",0,"1"); ?></td>
</tr></table>

<p>
With a good system it is not that difficult to learn
a lot of patterns. Above is shown all letters which
has dot-1 raised, and then dot 7 or 8 raised for special purpose.
</p>

<table border=0>
<tr valign=bottom>
<td><?php braille("12",2,"b"); ?></td>
<td><?php braille("45",2); ?></td>
</tr></table>

<p>
For the most used braille patterns it is important to
use a combination which is easy to read.
Above you see dot-12 and dot-45 which is almost the
same and is not very easy to recognize for a blind
when moving the fingers over the dots.
</p>

<table border=0>
<tr>
<td><?php braille("246",2,""); ?></td>
<td><?php braille("246",2,""); ?></td>
</tr></table>

<p>
Some western languages uses letters which is unique to their language.
An example is that danish uses '' (o stroke) and swedish uses
'' (o diaeresis). The sound of the letter is almost the same
and both languages has decided to use the same dot-pattern (246)
for this letter.
This makes good sence when reading a paper braille book
as a danish blind almost can read swedish even when there is
a letter which is not in the danish alphabet.
</p>

<p>
The drawback is when a danish person communicate electronicly
with a swedish person. The brltty table the danish user uses
convert dot-246 to an ''. When the swedish users brltty
table convert '' to dots, it will become a braille pattern
which the swedish user does not know, and will have to learn.
The problem is ofcource also the other way around.
</p>

<table border=0>
<tr>
<td><?php braille("1",2,"a"); ?></td>
<td><?php braille("12",2,"b"); ?></td>
<td><?php braille("14",2,"c"); ?></td>
<td bgcolor="#FFE0E0"><?php braille("24",2,"i"); ?></td>
<td><?php braille("124",2,"f"); ?></td>
</tr><tr>
<td bgcolor="#FFE0E0"><?php braille("15",2,"e"); ?></td>
<td bgcolor="#FFE0E0"><?php braille("125",2,"h"); ?></td>
<td bgcolor="#FFE0E0"><?php braille("145",2,"d"); ?></td>
<td bgcolor="#FFE0E0"><?php braille("245",2,"j"); ?></td>
<td bgcolor="#FFE0E0"><?php braille("1245",2,"g"); ?></td>
</table>

<p>
I do think that the system defined by Loise Braille was good,
but if I have made it today, I would have made a little different.
One more rule could be added to the system.
1. The first 5 letters should only be made with dot-124.
2. The next 5 letters has the same dot-patterns as the first,
but with dot-5 raised.
Above you can see how it would look.
</p>

<p>
I guess no one would ever use the braille system shown above,
as the one used now has been used for almost 200 years.
But it might give you a clue about how difficult it is to
design braille patterns in general.
</p>

</body></html>
